package com.eactive.eai.rms.bap.tansaction.transactionStatus;

import java.time.LocalDate;
import java.util.Map;

import com.eactive.eai.rms.onl.server.repository.ExpiringMap;

public class BapBasisRepository {
	
	private static Map<LocalDate, String[]> basisMap = new ExpiringMap<>(14400);
	
	public String[] getBasis(LocalDate date) {
		return basisMap.get(date);
	}
	
	public void setBasis(LocalDate date, String[] basis) {
		basisMap.put(date, basis);
	}
	
//	private AtomicReference<List<Map<String, Serializable>>> procList;
	
//	public AtomicReference<List<Map<String, Serializable>>> getProcList() {
//		return procList;
//	}
//	
//	public void setProcList(List<Map<String, Serializable>> procList) {
//		
//		if(procList == null) {
//			this.procList.set(new ArrayList<>());
//		} else {
//			this.procList.set(procList);
//		}
//		
//	}
	
}
